{ kubenix, registry ? "docker.io/mic92" }:

rec {
  # evaluated configuration
  inherit (kubenix.evalModules {
    modules = [
      ./module.nix
      { docker.registry.url = registry; }
    ];
  }) config;

  # generated: kubernetes List object
  inherit (config.kubernetes) generated;
  # script to push docker images to registry
  pushDockerImages = config.docker.copyScript;
}
